#pragma once
#include <stddef.h>

const char* strchr(const char* str, char chr);
char* strcpy(char* dst, const char* src);
unsigned strlen(const char* str);
int strcmp(const char* a, const char* b);
char* strncpy(char* dst, const char* src, size_t n);
char* strcat(char* dst, const char* src);
int strncmp(const char* a, const char* b, size_t n);
wchar_t* utf16_to_codepoint(wchar_t* string, int* codepoint);
char* codepoint_to_utf8(int codepoint, char* stringOutput);
size_t strnlen(const char* str, size_t maxlen);